/// <reference types="react" />
import { Props, InputProps } from './Phone.types';
export declare const placeholderNormalization: import("styled-components").RuleSet<{
    $variant: Props['variant'];
}>;
/**
 * TODO: Select is undefined when running test:
 * src/Molecules/Input/Select/__tests__/Select.test.tsx
 *
 *    Cannot create styled-component for component: undefined.
 *    > 76 | export const StyledSelect = styled(Select)`
 *                                       ^
 */
export declare const StyledSelect: import("styled-components").IStyledComponent<"web", {
    id: string;
    options: import("../Select/Select.types").Option[];
    value?: any;
    error?: string | undefined;
    extraInfo?: string | undefined;
    success?: boolean | undefined;
    hideLabel?: boolean | undefined;
    labelTooltip?: string | undefined;
    labelTooltipPosition?: "left" | "right" | "top" | "bottom" | undefined;
    labelTooltipInModal?: boolean | undefined;
    placeholder?: string | undefined;
    label: string;
    name?: string | undefined;
    placement?: "top" | "bottom" | undefined;
    size?: "s" | "m" | undefined;
    height?: number | undefined;
    disabled?: boolean | undefined;
    onChange?: ((newValue: import("../Select/Select.types").OptionItem[]) => void) | undefined;
    onFocus?: import("react").FocusEventHandler<Element> | undefined;
    onBlur?: import("react").FocusEventHandler<Element> | undefined;
    fullWidth?: boolean | undefined;
    width?: string | undefined;
    listWidth?: string | undefined;
    listMaxHeight?: string | undefined;
    listPosition?: "center" | "left" | "right" | undefined;
    className?: string | undefined;
    components?: Partial<Record<import("../Select/Select.types").ComponentTypes, import("react").ComponentType<any>>> | undefined;
    noFormField?: boolean | undefined;
    autoFocus?: boolean | undefined;
    showSearch?: boolean | undefined;
    hideDisabledOptions?: boolean | undefined;
    multiselect?: boolean | undefined;
    itemsPerColumn?: number | undefined;
    columnWidth?: string | undefined;
    actions?: import("../Select/Select.types").Action[] | undefined;
    searchQuery?: string | undefined;
    withPortal?: boolean | undefined;
    onSearchQueryChange?: ((e: {
        type: string;
        payload: string;
    }) => void) | undefined;
    disableSearchComponent?: boolean | undefined;
    fullscreenOnMobile?: boolean | undefined;
    preventScroll?: boolean | undefined;
    invertedColors?: boolean | undefined;
}> & {
    (props: import("../Select/Select.types").Props): import("react").JSX.Element;
    useSelectMachineFromContext: () => [import("xstate").State<import("../Select/machine").Context, import("xstate").AnyEventObject, any, any, import("xstate").ResolveTypegenMeta<import("xstate").TypegenDisabled, import("xstate").AnyEventObject, import("xstate").BaseActionObject, import("xstate").ServiceMap>>, (event: import("xstate").SCXML.Event<import("xstate").AnyEventObject> | import("xstate").SingleOrArray<import("xstate").Event<import("xstate").AnyEventObject>>, payload?: import("xstate").EventData | undefined) => import("xstate").State<import("../Select/machine").Context, import("xstate").AnyEventObject, any, any, import("xstate").ResolveTypegenMeta<import("xstate").TypegenDisabled, import("xstate").AnyEventObject, import("xstate").BaseActionObject, import("xstate").ServiceMap>>, import("xstate").Interpreter<import("../Select/machine").Context, any, import("xstate").AnyEventObject, any, import("xstate").ResolveTypegenMeta<import("xstate").TypegenDisabled, import("xstate").AnyEventObject, import("xstate").BaseActionObject, import("xstate").ServiceMap>>];
    ACTION_TYPES: {
        SYNC: string;
        OPEN: string;
        CLOSE: string;
        TOGGLE: string;
        FOCUS: string;
        BLUR: string;
        SELECT_FOCUSED_ITEM: string;
        SELECT_ITEM: string;
        DESELECT_ITEM: string;
        CHANGE_COMMIT: string;
        CHANGE_COMMIT_ABORT: string;
        ITEM_CLICK: string;
        SEARCH_QUERY_UPDATE: string;
        MOUSE_MOVE: string;
        KEY_PRESS: string;
        FOCUS_NEXT_ITEM: string;
        FOCUS_PREV_ITEM: string;
    };
    SYMBOL_ALL: typeof import("../Select/lib/constants").SYMBOL_ALL;
    defaults: {
        components: {
            ListItem: import("react").FC<{
                index: number;
            }>;
            List: import("react").FC<{
                listPosition?: string | undefined;
                searchComponent?: import("react").ReactNode;
                actionsComponent?: import("react").ReactNode;
                maxHeight?: string | undefined;
                noFormField?: boolean | undefined;
                placement?: "top" | "bottom" | undefined;
                itemsPerColumn?: number | undefined;
                columnWidth?: string | undefined;
                listWidth?: string | undefined;
                invertedColors?: boolean | undefined;
                children?: import("react").ReactNode;
            }>;
            ListFullScreen: ({ children, searchComponent, actionsComponent, }: {
                searchComponent?: import("react").ReactNode;
                actionsComponent?: import("react").ReactNode;
                children?: import("react").ReactNode;
            }) => import("react").JSX.Element;
            Search: import("react").ForwardRefExoticComponent<{
                'aria-activedescendant': string;
                'data-testid': string;
                hidden: boolean;
                value: string;
                onChange: import("react").ChangeEventHandler<Element>;
                fullscreenOnMobile: boolean;
            } & import("react").RefAttributes<HTMLInputElement>>;
            SelectedValue: () => import("react").JSX.Element;
            Action: import("react").FC<{
                isKeyboardNavigation: boolean;
                focused: boolean;
                label: string;
                icon: import("react").ReactNode;
                disabled?: boolean | undefined;
            }>;
        };
        componentsMultiselect: {
            ListItem: ({ index }: {
                index: number;
            }) => import("react").JSX.Element | null;
            List: import("react").FC<{
                listPosition?: string | undefined;
                searchComponent?: import("react").ReactNode;
                actionsComponent?: import("react").ReactNode;
                maxHeight?: string | undefined;
                noFormField?: boolean | undefined;
                placement?: "top" | "bottom" | undefined;
                itemsPerColumn?: number | undefined;
                columnWidth?: string | undefined;
                listWidth?: string | undefined;
                invertedColors?: boolean | undefined;
                children?: import("react").ReactNode;
            }>;
            ListFullScreen: ({ children, searchComponent, actionsComponent, }: {
                searchComponent?: import("react").ReactNode;
                actionsComponent?: import("react").ReactNode;
                children?: import("react").ReactNode;
            }) => import("react").JSX.Element;
            Search: import("react").ForwardRefExoticComponent<{
                'aria-activedescendant': string;
                'data-testid': string;
                hidden: boolean;
                value: string;
                onChange: import("react").ChangeEventHandler<Element>;
                fullscreenOnMobile: boolean;
            } & import("react").RefAttributes<HTMLInputElement>>;
            SelectedValue: () => import("react").JSX.Element;
            Action: import("react").FC<{
                isKeyboardNavigation: boolean;
                focused: boolean;
                label: string;
                icon: import("react").ReactNode;
                disabled?: boolean | undefined;
            }>;
        };
    };
};
export declare const StyledCountryCode: import("styled-components").IStyledComponent<"web", import("styled-components/dist/types").Substitute<{
    sm?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    md?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    lg?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    xl?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
} & import("../../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
    className?: string | undefined;
} & {
    children?: import("react").ReactNode;
    as?: any;
} & import("react").RefAttributes<HTMLDivElement>, {
    disabled?: boolean | undefined;
}>> & import("react").ForwardRefExoticComponent<{
    sm?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    md?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    lg?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    xl?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
} & import("../../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
    className?: string | undefined;
} & {
    children?: import("react").ReactNode;
    as?: any;
} & import("react").RefAttributes<HTMLDivElement>>;
export declare const StyledInput: import("styled-components").IStyledComponent<"web", import("styled-components/dist/types").Substitute<Omit<any, "ref"> & import("react").RefAttributes<HTMLInputElement>, InputProps>> & import("styled-components").IStyledComponent<"web", {
    [x: string]: any;
    [x: number]: any;
    [x: symbol]: any;
    ref?: import("react").Ref<HTMLInputElement> | undefined;
    key?: import("react").Key | null | undefined;
}> & import("react").ForwardRefExoticComponent<Omit<any, "ref"> & import("react").RefAttributes<HTMLInputElement>>;
export declare const StyledWrapper: import("styled-components").IStyledComponent<"web", import("styled-components/dist/types").Substitute<{
    sm?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    md?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    lg?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    xl?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
} & import("../../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
    className?: string | undefined;
} & {
    children?: import("react").ReactNode;
    as?: any;
} & import("react").RefAttributes<HTMLDivElement>, {
    $disabled: Props['disabled'];
    $error: Props['error'];
    $focused?: boolean | undefined;
    $size: Props['size'];
    $success: Props['success'];
    $variant: Props['variant'];
}>> & import("react").ForwardRefExoticComponent<{
    sm?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    md?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    lg?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    xl?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
} & import("../../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
    className?: string | undefined;
} & {
    children?: import("react").ReactNode;
    as?: any;
} & import("react").RefAttributes<HTMLDivElement>>;
export declare const StyledBox: import("styled-components").IStyledComponent<"web", import("styled-components/dist/types").Substitute<{
    as?: any;
    backgroundColor?: "inherit" | import("../../../common/Types").ColorFn | undefined;
    className?: string | undefined;
    children?: import("react").ReactNode;
} & import("../../../Atoms/Box/Box.types").Paddings & {
    mt?: string | number | undefined;
    mb?: string | number | undefined;
    ml?: string | number | undefined;
    mr?: string | number | undefined;
    mx?: string | number | undefined;
    my?: string | number | undefined;
    m?: string | number | undefined;
} & {
    sm?: Partial<import("../../../Atoms/Box/Box.types").Paddings & {
        mt?: string | number | undefined;
        mb?: string | number | undefined;
        ml?: string | number | undefined;
        mr?: string | number | undefined;
        mx?: string | number | undefined;
        my?: string | number | undefined;
        m?: string | number | undefined;
    }> | undefined;
    md?: Partial<import("../../../Atoms/Box/Box.types").Paddings & {
        mt?: string | number | undefined;
        mb?: string | number | undefined;
        ml?: string | number | undefined;
        mr?: string | number | undefined;
        mx?: string | number | undefined;
        my?: string | number | undefined;
        m?: string | number | undefined;
    }> | undefined;
    xl?: Partial<import("../../../Atoms/Box/Box.types").Paddings & {
        mt?: string | number | undefined;
        mb?: string | number | undefined;
        ml?: string | number | undefined;
        mr?: string | number | undefined;
        mx?: string | number | undefined;
        my?: string | number | undefined;
        m?: string | number | undefined;
    }> | undefined;
    lg?: Partial<import("../../../Atoms/Box/Box.types").Paddings & {
        mt?: string | number | undefined;
        mb?: string | number | undefined;
        ml?: string | number | undefined;
        mr?: string | number | undefined;
        mx?: string | number | undefined;
        my?: string | number | undefined;
        m?: string | number | undefined;
    }> | undefined;
} & import("react").HTMLAttributes<HTMLDivElement> & import("react").RefAttributes<HTMLDivElement>, {
    focused?: boolean | undefined;
    isKeyboardNavigation?: boolean | undefined;
}>> & import("react").ForwardRefExoticComponent<{
    as?: any;
    backgroundColor?: "inherit" | import("../../../common/Types").ColorFn | undefined;
    className?: string | undefined;
    children?: import("react").ReactNode;
} & import("../../../Atoms/Box/Box.types").Paddings & {
    mt?: string | number | undefined;
    mb?: string | number | undefined;
    ml?: string | number | undefined;
    mr?: string | number | undefined;
    mx?: string | number | undefined;
    my?: string | number | undefined;
    m?: string | number | undefined;
} & {
    sm?: Partial<import("../../../Atoms/Box/Box.types").Paddings & {
        mt?: string | number | undefined;
        mb?: string | number | undefined;
        ml?: string | number | undefined;
        mr?: string | number | undefined;
        mx?: string | number | undefined;
        my?: string | number | undefined;
        m?: string | number | undefined;
    }> | undefined;
    md?: Partial<import("../../../Atoms/Box/Box.types").Paddings & {
        mt?: string | number | undefined;
        mb?: string | number | undefined;
        ml?: string | number | undefined;
        mr?: string | number | undefined;
        mx?: string | number | undefined;
        my?: string | number | undefined;
        m?: string | number | undefined;
    }> | undefined;
    xl?: Partial<import("../../../Atoms/Box/Box.types").Paddings & {
        mt?: string | number | undefined;
        mb?: string | number | undefined;
        ml?: string | number | undefined;
        mr?: string | number | undefined;
        mx?: string | number | undefined;
        my?: string | number | undefined;
        m?: string | number | undefined;
    }> | undefined;
    lg?: Partial<import("../../../Atoms/Box/Box.types").Paddings & {
        mt?: string | number | undefined;
        mb?: string | number | undefined;
        ml?: string | number | undefined;
        mr?: string | number | undefined;
        mx?: string | number | undefined;
        my?: string | number | undefined;
        m?: string | number | undefined;
    }> | undefined;
} & import("react").HTMLAttributes<HTMLDivElement> & import("react").RefAttributes<HTMLDivElement>>;
export declare const StyledTypography: import("styled-components").IStyledComponent<"web", {
    as?: any;
    className?: string | undefined;
    color?: "inherit" | ((t: import("../../../theme/theme.types").Theme) => string | string[]) | undefined;
    id?: string | undefined;
    weight?: string | undefined;
    'aria-hidden'?: boolean | undefined;
    type?: import("../../../Atoms/Typography/Typography.types").Types | undefined;
    lineHeight?: "inherit" | undefined;
    textAlign?: import("csstype").Property.TextAlign | undefined;
    whiteSpace?: ("pre" | "inherit" | "initial" | "revert" | "unset" | "normal" | "nowrap" | "break-spaces" | "pre-line" | "pre-wrap") | undefined;
    children: import("react").ReactNode;
}> & import("react").FC<import("../../../Atoms/Typography/Typography.types").Props>;
